| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
fsmci_cfg.h File Reference
`#include <string.h>`
`#include "ffconf.h"`
`#include "diskio.h"`
`#include "board.h"`

Go to the source code of this file.

## Macro Definition Documentation

#define FSMCI_CardAcquire | ( |  | hc | ) | Chip_SDMMC_Acquire(LPC_SDMMC, hc)

Card acquire adapter function LPC43xx/18xx implementation of the FSMCI adapter function, that will successfully acquire/initialize the SD Card.

Definition at line 53 of file fsmci_cfg.h.

#define FSMCI_CardGetBlockSz | ( |  | hc | ) | (4UL * 1024)

Get the size of one erase block in the card (Fixed to 4K)

Definition at line 84 of file fsmci_cfg.h.

#define FSMCI_CardGetCID | ( |  | hc,
|  |  | n
| ) |  | ((hc)->card_info.cid[(n)])

Get CID data of the card at index n

Definition at line 102 of file fsmci_cfg.h.

#define FSMCI_CardGetCSD | ( |  | hc,
|  |  | n
| ) |  | ((hc)->card_info.csd[(n)])

Get CSD data of the card at index n

Definition at line 96 of file fsmci_cfg.h.

#define FSMCI_CardGetSectorCnt | ( |  | hc | ) | ((hc)->card_info.blocknr)

Gets number of sectors in the card LPC43xx/18xx implementation of the FSMCI adapter function, that will get the number of sectors in the card.

Definition at line 71 of file fsmci_cfg.h.

#define FSMCI_CardGetSectorSz | ( |  | hc | ) | ((hc)->card_info.block_len)

Get size of a single sector in the card.

Definition at line 77 of file fsmci_cfg.h.

#define FSMCI_CardGetType | ( |  | hc | ) | ((hc)->card_info.card_type)

Get the card type.

Definition at line 90 of file fsmci_cfg.h.

#define FSMCI_CardInit | ( |  | ) | (&sdcardinfo)

Initialize the card handle data structure LPC43xx/18xx implementation of the FSMCI adapter function, that will initialize the card handle data structure. The card handle assigned by this function will be passed to all SD card adapter functions.

Definition at line 63 of file fsmci_cfg.h.

#define FSMCI_CardInsertWait | ( |  | hc | ) | while (Chip_SDIF_CardNDetect(LPC_SDMMC)) {}

Definition at line 125 of file fsmci_cfg.h.

#define FSMCI_CardReadSectors | ( |  | hc,
|  |  | buf,
|  |  | startSector,
|  |  | numSector
| ) |  | Chip_SDMMC_ReadBlocks(LPC_SDMMC, buf, startSector, numSector)

Read data from sectors.

Definition at line 108 of file fsmci_cfg.h.

#define FSMCI_CardWriteSectors | ( |  | hc,
|  |  | buf,
|  |  | startSector,
|  |  | numSector
| ) |  | Chip_SDMMC_WriteBlocks(LPC_SDMMC, buf, startSector, numSector)

Write data to sectors.

Definition at line 115 of file fsmci_cfg.h.

#define FSMCI_InitRealTimeClock | ( |  | ) | rtc_initialize()

Initialize the real time clock.

Definition at line 122 of file fsmci_cfg.h.

## Function Documentation

STATIC INLINE int FSMCI_CardGetState | ( | CARD_HANDLE_T * | hCrd,
|  | uint8_t * | buff
| ) |  |

Get the state of the sdcard.

Parameters

  hCrd | : Pointer to Card Handle
  buff | : Buffer to which the state information be copied

Returns
  0 when operation failed 1 when successfully completed

Definition at line 160 of file fsmci_cfg.h.

STATIC INLINE int FSMCI_CardReadyWait | ( | CARD_HANDLE_T * | hCrd,
|  | int | tout
| ) |  |

Wait for the SD card to complete all operations and become ready.

Parameters

  hCrd | : Pointer to Card Handle
  tout | : Time to wait, in milliseconds

Returns
  0 when operation failed 1 when successfully completed

Definition at line 139 of file fsmci_cfg.h.

void rtc_initialize | ( | void |  | ) |

RTC initialization function

Definition at line 19 of file rtc.c.